
var Depot = require('./Depot');
var Dir = require('./Dir');
var File = require('./File');

require('../polyfill');

function toItem(obj) {
  if (obj['Dir']) {
    return new Dir(obj);
  } else if (obj['DepotFile']) {
    return new File(obj);
  } else if (obj['Depot']) {
    var d = new Depot(obj);
    return d;
  }
  throw "obj is not a Dir, DepotFile, or Depot: " + obj;
}

var PathItem = {

  fromArray: function(items) {
    return items.map(function(x) { return toItem(x); });
  }
};

module.exports = PathItem;
